<?php
/**
 * Widget template
 *
 * @package Travel_Gem
 */

?>

<div class="section section-counter heading-<?php echo esc_attr( $instance['heading_alignment'] ); ?>">
		<?php if ( ! empty( $instance['title'] ) ) : ?>
			<?php echo $args['before_title'] . esc_html( $instance['title'] ) . $args['after_title']; ?>
		<?php endif; ?>

		<?php if ( ! empty( $instance['subtitle'] ) ) : ?>
			<p class="widget-subtitle"><?php echo esc_html( $instance['subtitle'] ); ?></p>
		<?php endif; ?>

		<?php if ( ! empty( $instance['stats'] ) ) : ?>
			<div class="counter-section counter-col-<?php echo absint( $instance['settings']['post_column'] ) ?>">
				<div class="inner-wrapper">
					<?php foreach ( $instance['stats'] as $stat ) : ?>
						<?php
						if ( empty( $stat['stat_number'] ) ) {
							continue;
						}
						?>
						<div class="counter-item">
							<div class="counter-text-wrap">
								<?php if ( ! empty( $stat['stat_icon'] ) ) : ?>
									<div class="counter-icon"><?php echo siteorigin_widget_get_icon( $stat['stat_icon'] ); ?></div>
								<?php endif; ?>
								<?php if ( ! empty( $stat['stat_number'] ) ) : ?>
									<p class="counter-nos"><?php echo esc_html( $stat['stat_number'] ); ?></p>
								<?php endif; ?>
								<?php if ( ! empty( $stat['stat_title'] ) ) : ?>
									<h3 class="counter-title"><?php echo esc_html( $stat['stat_title'] ); ?></h3>
								<?php endif; ?>
							</div><!-- .counter-text-wrap -->
						</div><!-- .counter-item -->
					<?php endforeach; ?>
				</div><!-- .inner-wrapper -->
			</div><!-- .counter-section -->
		<?php endif; ?>
</div><!-- .section section-counter -->
